%define apiver    3
%define major     0
%define libname   %mklibname sdl%{apiver}_ttf %{major}
%define develname %mklibname sdl%{apiver}_ttf -d

%define sname     SDL3_ttf

Summary:        Simple DirectMedia Layer 3 - Sample TrueType Font Library
Name:           sdl3_ttf
Version:        3.2.2
Release:        %mkrel 1
License:        zlib
Group:          System/Libraries
URL:            https://github.com/libsdl-org/SDL_ttf
Source0:        https://www.libsdl.org/projects/SDL_ttf/release/%{sname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(SDL3)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(freetype2)

%description
This is a sample library which allows you to use TrueType fonts in your SDL3
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{libname}
Summary:        Simple DirectMedia Layer 3 - Sample TrueType Font Library
Group:          System/Libraries

%description -n %{libname}
This is a sample library which allows you to use TrueType fonts in your SDL3
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       SDL%{apiver}_ttf-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{libname}-test
Summary:        Test binary for %{name}
Group:          System/Libraries

%description -n %{libname}-test
This package contains the binaries `showfont' and `glfont' to
test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%cmake \
       -DSDLTTF_INSTALL=ON           \
       -DSDLTTF_INSTALL_CPACK=ON     \
       -DSDLTTF_INSTALL_MAN=ON       \
       -DSDLTTF_SAMPLES=ON           \
       -DSDLTTF_SAMPLES_INSTALL=ON   \
       -DSDLTTF_STRICT=OFF           \
       -DSDLTTF_VENDORED=OFF

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/licenses/SDL3_ttf/LICENSE.txt

mv %{buildroot}%{_bindir}/showfont{,-sdl%{apiver}}
mv %{buildroot}%{_bindir}/glfont{,-sdl%{apiver}}
mv %{buildroot}%{_bindir}/testapp{,-sdl%{apiver}}
mv %{buildroot}%{_bindir}/testgputext{,-sdl%{apiver}}

%files -n %{libname}-test
%{_bindir}/showfont-sdl%{apiver}
%{_bindir}/glfont-sdl%{apiver}
%{_bindir}/testapp-sdl%{apiver}
%{_bindir}/testgputext-sdl%{apiver}

%files -n %{libname}
%license LICENSE.txt
%{_libdir}/libSDL%{apiver}_ttf.so.%{major}{,.*}

%files -n %{develname}
%doc README.md CHANGES.txt
%{_libdir}/libSDL%{apiver}_ttf.so
%{_includedir}/SDL3_ttf/
%{_libdir}/pkgconfig/sdl3-ttf.pc
%{_libdir}/cmake/%{sname}/
%{_mandir}/man3/TTF*.3*
%{_mandir}/man3/SDL_TTF*.3*


%changelog
* Thu May 15 2025 daviddavid <daviddavid> 3.2.2-1.mga10
+ Revision: 2183719
- initial package sdl3_ttf

